UniqueOrKey (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class UniqueOrKey

    java.lang.Object
      org.apache.xerces.impl.xs.identity.IdentityConstraint
          org.apache.xerces.impl.xs.identity.UniqueOrKey

All Implemented Interfaces:
  org.apache.xerces.xs.XSIDCDefinition, org.apache.xerces.xs.XSObject

    public class UniqueOrKey

extends IdentityConstraint

Schema unique or key identity constraint. These two kinds of identity constraint have been combined to save the creation of a separate Vector object for any element that has both. A short int is used to distinguish which this object is.

Version:
  $Id: UniqueOrKey.java 446732 2006-09-15 20:47:34Z mrglavas $
Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint
`fAnnotations, fElementName, fFieldCount, fFields, fIdentityConstraintName, fNamespace, fNumAnnotations, fSelector, type`

Fields inherited from interface org.apache.xerces.xs.XSIDCDefinition
`IC_KEY, IC_KEYREF, IC_UNIQUE`

Constructor Summary
`UniqueOrKey(java.lang.String namespace, java.lang.String identityConstraintName, java.lang.String elemName, short type)` Constructs a unique or a key identity constraint.

Method Summary

Methods inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint
`addAnnotation, addField, equals, getAnnotations, getCategory, getElementName, getFieldAt, getFieldCount, getFieldStrs, getIdentityConstraintName, getName, getNamespace, getNamespaceItem, getRefKey, getSelector, getSelectorStr, getType, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniqueOrKey

    public UniqueOrKey(java.lang.String namespace,
                       java.lang.String identityConstraintName,
                       java.lang.String elemName,
                       short type)

  Constructs a unique or a key identity constraint.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.